/*
 * Copyright (C) 2007 by Rui Dias <ruijdias@users.sourceforge.net>
 *
 * This file contains code from the libdvdread project.
 *
 * libdvdread: Provides a simple foundation for reading DVD-Video images.
 * Copyright (C) 2000, 2001, 2002 H�kan Hjort <d95hjort@dtek.chalmers.se>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/**
 * Module definition
 */
%module(docstring="Parsing of NAV data, PCI and DSI parts.") nav_read


/**
 * Includes
 */
%{
#include <dvdread/nav_read.h>
%}


/**
 * navRead_PCI
 */
%feature("autodoc", "navRead_PCI(buffer) -> pci\n\n\
Reads the PCI packet data.") navRead_PCI_aux;
%apply (char *STRING, int LENGTH) { (unsigned char *buffer, int buffersize) };
%rename(navRead_PCI) navRead_PCI_aux;
%newobject navRead_PCI;
%inline %{
pci_t *navRead_PCI_aux(unsigned char *buffer, int buffersize) {
    pci_t *pci = (pci_t *) malloc(sizeof(pci_t));
    navRead_PCI(pci, buffer);
    return pci;
}
%}


/**
 * navRead_DSI
 */
%feature("autodoc", "navRead_DSI(buffer) -> dsi\n\n\
Reads the DSI packet data.") navRead_DSI_aux;
%rename(navRead_DSI) navRead_DSI_aux;
%newobject navRead_DSI;
%inline %{
dsi_t *navRead_DSI_aux(unsigned char *buffer, int buffersize) {
    dsi_t *dsi = (dsi_t *) malloc(sizeof(dsi_t));
    navRead_DSI(dsi, buffer);
    return dsi;
}
%}

